OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_BezierCurve Class Reference

`#include <PGeom2d_BezierCurve.hxx>`

Inheritance diagram for PGeom2d_BezierCurve:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom2d_BezierCurve ()
| Creates a non rational Bezier curve with default values. .
Standard_EXPORT | PGeom2d_BezierCurve (const Handle(PColgp_HArray1OfPnt2d)&aPoles, const Handle(PColStd_HArray1OfReal)&aWeights, const Standard_Boolean aRational)
| Creates a non rational Bezier curve with a set of poles aCurvePoles and a set of weights aPoleWeight. .
Standard_EXPORT void | Rational (const Standard_Boolean aRational)
| Set the value of the field rational with <arational>. .
Standard_EXPORT Standard_Boolean | Rational () const
| Returns the value of the field rational. .
Standard_EXPORT void | Poles (const Handle(PColgp_HArray1OfPnt2d)&aPoles)
| Set the value of the field poles with <apoles>. .
Standard_EXPORT Handle_PColgp_HArray1OfPnt2d | Poles () const
| Returns the value of the field poles. .
Standard_EXPORT void | Weights (const Handle(PColStd_HArray1OfReal)&aWeights)
| Set the value of the field weights. .
Standard_EXPORT Handle_PColStd_HArray1OfReal | Weights () const
| Returns the value of the field weights. .
| PGeom2d_BezierCurve (const Storage_stCONSTclCOM &a)
Standard_Boolean | _CSFDB_GetPGeom2d_BezierCurverational () const
void | _CSFDB_SetPGeom2d_BezierCurverational (const Standard_Boolean p)
| Handle (PColgp_HArray1OfPnt2d) _CSFDB_GetPGeom2d_BezierCurvepoles() const
void | _CSFDB_SetPGeom2d_BezierCurvepoles (const Handle(PColgp_HArray1OfPnt2d)&p)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPGeom2d_BezierCurveweights() const
void | _CSFDB_SetPGeom2d_BezierCurveweights (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Boolean | rational
Handle_PColgp_HArray1OfPnt2d | poles
Handle_PColStd_HArray1OfReal | weights

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_BezierCurve::PGeom2d_BezierCurve | ( |  | ) |

Standard_EXPORT PGeom2d_BezierCurve::PGeom2d_BezierCurve | ( | const Handle(PColgp_HArray1OfPnt2d)& | aPoles,
|  | const Handle(PColStd_HArray1OfReal)& | aWeights,
|  | const Standard_Boolean | aRational
| ) |

PGeom2d_BezierCurve::PGeom2d_BezierCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PGeom2d_BezierCurve::_CSFDB_GetPGeom2d_BezierCurverational | ( |  | ) | const`[inline]`

void PGeom2d_BezierCurve::_CSFDB_SetPGeom2d_BezierCurvepoles | ( | const Handle(PColgp_HArray1OfPnt2d)& | p | ) | `[inline]`

void PGeom2d_BezierCurve::_CSFDB_SetPGeom2d_BezierCurverational | ( | const Standard_Boolean | p | ) | `[inline]`

void PGeom2d_BezierCurve::_CSFDB_SetPGeom2d_BezierCurveweights | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT const PGeom2d_BezierCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_BoundedCurve.

PGeom2d_BezierCurve::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

PGeom2d_BezierCurve::Handle | ( | PColgp_HArray1OfPnt2d |  | ) | const`[inline]`

Standard_EXPORT Handle_PColgp_HArray1OfPnt2d PGeom2d_BezierCurve::Poles | ( |  | ) | const

Standard_EXPORT void PGeom2d_BezierCurve::Poles | ( | const Handle(PColgp_HArray1OfPnt2d)& | aPoles | ) |

Standard_EXPORT Standard_Boolean PGeom2d_BezierCurve::Rational | ( |  | ) | const

Standard_EXPORT void PGeom2d_BezierCurve::Rational | ( | const Standard_Boolean | aRational | ) |

Standard_EXPORT Handle_PColStd_HArray1OfReal PGeom2d_BezierCurve::Weights | ( |  | ) | const

Standard_EXPORT void PGeom2d_BezierCurve::Weights | ( | const Handle(PColStd_HArray1OfReal)& | aWeights | ) |

## Field Documentation

Handle_PColgp_HArray1OfPnt2d PGeom2d_BezierCurve::poles`[private]`

Standard_Boolean PGeom2d_BezierCurve::rational`[private]`

Handle_PColStd_HArray1OfReal PGeom2d_BezierCurve::weights`[private]`

The documentation for this class was generated from the following file:

- PGeom2d_BezierCurve.hxx